=== debian/control ===
Source: ros-melodic-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-camera-calibration-parsers, ros-melodic-catkin (>= 0.5.68), ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-nodelet-topic-tools, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: http://www.ros.org/wiki/image_proc
Standards-Version: 3.9.2

Package: ros-melodic-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-nodelet-topic-tools, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: Single image rectification and color processing.
