## ros-melodic-image-proc 1.15.2

=== debian/changelog ===
ros-melodic-image-proc (1.15.2-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-image-proc (1.15.1-1bionic) bionic; urgency=high

  * Fix error in DebayerNodelet
  * Support MONO16 and 32FC1 depth in rectification
  * Contributors: Joshua Whitley, Sean Yen, Shuntaro Yamazaki

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-image-proc (1.15.0-1bionic) bionic; urgency=high

  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-image-proc (1.14.0-1bionic) bionic; urgency=high

  * resize.cpp: fix memory leak (#489 <https://github.com/ros-perception/image_pipeline/issues/489>)
  * Try catch around cvtColor to avoid demosaicing src.empty() error (#463 <https://github.com/ros-perception/image_pipeline/issues/463>)
  * Merge pull request #436 <https://github.com/ros-perception/image_pipeline/issues/436> from ros-perception/throttle_warnings
  * adding throttled warnings to not blast the users
  * Merge pull request #423 <https://github.com/ros-perception/image_pipeline/issues/423> from lucasw/crop_decimate_resolution_change
    Avoid crashing when the x or y offset is too large
  * Merge pull request #435 <https://github.com/ros-perception/image_pipeline/issues/435> from ros-perception/patch_resize_copy
  * patch extra copy for nodelet users of resize
  * Merge pull request #411 <https://github.com/ros-perception/image_pipeline/issues/411> from Tuebel/fix_409
    Fix 409 based on melodic branch
  * Need to look at x and y offset
  * Simplified copying of the camera_info message.
  * Independent resize of image and camera_info
  * removed unused infoCb
  * Rename infoCb to cameraCb matching subscribeCamera
  * replaced boost mutex & shared_ptr with std
  * Removed hard coded image encoding.
    Using toCvCopy instead of toCvShared (copy is needed anyway).
  * Contributors: Joshua Whitley, Lucas Walter, Tim Übelhör, Yuki Furuta, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-image-proc (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding autonomoustuff mainainer
  * adding stevemacenski as maintainer to get emails
  * Contributors: Joshua Whitley, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-image-proc (1.12.23-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-image-proc (1.12.22-1bionic) bionic; urgency=high

  * Merge pull request #311 <https://github.com/ros-perception/image_pipeline/issues/311> from knorth55/revert-299
    Revert "Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)"
    This reverts commit 32e19697ebce47101b063c6a02b95dfa2c5dbc52.
  * Contributors: Shingo Kitagawa, Tully Foote

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-image-proc (1.12.21-1bionic) bionic; urgency=high

  * Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)
    Update interpolation types
    Add arguments to enable disable each nodelet
    Add default arguments for image_resize and image_rect
    Use toCVShare instead of toCVCopy
    Include image_resize in image_proc
  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * [image_proc][crop_decimate] support changing target image frame_id (#276 <https://github.com/ros-perception/image_pipeline/issues/276>)
  * Contributors: Furushchev, Mike Purvis, Vincent Rabaud, bikramak

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-image-proc (1.12.20-1bionic) bionic; urgency=high

  * Add nodelet to resize image and camera_info (#273 <https://github.com/ros-perception/image_pipeline/issues/273>)
    * Add nodelet to resize image and camera_info
    * Depends on nodelet_topic_tools
    * Use recursive_mutex for mutex guard for dynamic reconfiguring
  * Fix nodelet name: crop_nonZero ->  crop_non_zero (#269 <https://github.com/ros-perception/image_pipeline/issues/269>)
    Fix https://github.com/ros-perception/image_pipeline/issues/217
  * Fix permission of executable files unexpectedly (#260 <https://github.com/ros-perception/image_pipeline/issues/260>)
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-melodic-image-proc (1.12.19-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-melodic-image-proc (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-melodic-image-proc (1.12.17-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000


